# tablewidget class Tablewidget widget.
Inherits
object widget
Description
This widget provides a table.
Functions
`$setText(<row:integer>,<col:integer>,[<text:string>])`
`<string> $text(<row:integer>,<col:integer>)`
`$setHorizontalHeaderLabels(<string array>)`
`$showHorizontalHeader()`
`$hideHorizontalHeader()`
`$setVerticalHeaderLabels(<string array>)`
`$showVerticalHeader()`
`$hideVerticalHeader()`
`$setRowCount(<integer>)`
`<integer> $rowCount()`
`$setColumnCount(<integer>)`
`<integer> $columnCount()`
`$setCellWidget(<hobject>)`
`$setIcon()`
`$clear()`
Signals
`$clicked()`
This signal is emitted by the default implementation of $clickEvent().

Index, Object Classes

KVIrc 4.0.0 Documentation
Generated by linimon at Sun Nov 22 19:00:06 2009